websockify (0.12.0+dfsg1-4ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 22:05:56 +0000

websockify (0.12.0+dfsg1-4ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control,d/p/optional-runtime-depends.patch:
      Drop python3-{redis,jwcrypto} from Depends to Suggests as these
      features are optional, patch setup.py to reflect this.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 14:20:31 +0100

websockify (0.12.0+dfsg1-4) unstable; urgency=medium

  * Only install and test with default Python interpreter (Closes: #1090312).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 08:42:27 +0100

websockify (0.12.0+dfsg1-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resources (Closes: #1083987 ).
  * Removed obsolete Breaks:+Replaces: websockify (<< 0.8.0+dfsg1-14~).
  * Bumped debhelper-compat to 10, bumped standard-version.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 09:19:34 +0200

websockify (0.12.0+dfsg1-2ubuntu1) oracular; urgency=medium

  * d/control,d/p/optional-runtime-depends.patch:
    Drop python3-{redis,jwcrypto} from Depends to Suggests as these
    features are optional, patch setup.py to reflect this.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jul 2024 11:04:29 +0100

websockify (0.12.0+dfsg1-2) unstable; urgency=medium

  * Add workaround-using-too-much-resource.patch (Closes: #1075849).
  * Add py3.12-avoid-raw-string-warning.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2024 03:31:21 +0200

websockify (0.12.0+dfsg1-1) unstable; urgency=medium

  * New upstream release, providing Python 3.12 support.
  * Rebased remove-testing-RSA1_5-now-deprecated-in-jwcrypto.patch.
  * Build-depends on python-dev, not python-all-dev (Closes: #1075959).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jun 2024 16:51:53 +0200

websockify (0.10.0+dfsg1-6) unstable; urgency=medium

  * Fix d/control build-depends from python3-dev to python3-all-dev
    (Closes: #1067330).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2024 08:39:58 +0100

websockify (0.10.0+dfsg1-5) unstable; urgency=medium

  * Cleans better (Closes: #1046681).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:21:22 +0200

websockify (0.10.0+dfsg1-4) unstable; urgency=medium

  * Removed python3-mox3 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:38:02 +0100

websockify (0.10.0+dfsg1-3) unstable; urgency=medium

  * Switch to pytest intead of nose (Closes: #1018663).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 12:35:45 +0200

websockify (0.10.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:54:15 +0200

websockify (0.10.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-testing-RSA1_5-now-deprecated-in-jwcrypto.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 12:02:44 +0200

websockify (0.9.0+dfsg1-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Fix rebind.so not found (Closes: #990359), thanks to Mike Gabriel for the
    bug report, and Jochen Sprickerhof for the fix.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Jul 2021 09:18:22 +0200

websockify (0.9.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:12:01 +0200

websockify (0.9.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-jwcrypto as (build-)depends.
  * Desactivating non-relevant patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 11:19:25 +0200

websockify (0.8.0+dfsg1-17) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Build-depends only on python3-dev, so we build only for the default
    Python3, as per Doko's advice.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 13:57:14 +0200

websockify (0.8.0+dfsg1-16) unstable; urgency=medium

  * Fix deleting manpage (Closes: #939439).
  * Removed now empty, useless websockify-common package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Sep 2019 11:36:51 +0200

websockify (0.8.0+dfsg1-15) unstable; urgency=medium

  * Remove duplicate manpage from python3-websocify (Closes: #939439).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 14:25:59 +0200

websockify (0.8.0+dfsg1-14) unstable; urgency=medium

  * Move /usr/share/websockify to python3-websockify.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2019 16:08:55 +0200

websockify (0.8.0+dfsg1-13) unstable; urgency=medium

  * Fixed min version of openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2019 08:42:38 +0200

websockify (0.8.0+dfsg1-12) unstable; urgency=medium

  * Removed python 2 from build-depends (Closes: #938815).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 12:53:24 +0200

websockify (0.8.0+dfsg1-11) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed new upstream VCS URL in debian/rules and debian/copyright.
  * Removed Python 2 support.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jul 2019 21:20:33 +0200

websockify (0.8.0+dfsg1-10) unstable; urgency=medium

  * VCS points to salsa.
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 20:57:21 +0000

websockify (0.8.0+dfsg1-9) unstable; urgency=medium

  * Add runtime depends on python{3,}-pkg-resources (Closes: #879224).
  * Removed old Breaks+Replaces.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 03:15:54 +0000

websockify (0.8.0+dfsg1-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Fixed VCS URLs.
  * Updating copyright format url.
  * Updating maintainer field.
  * Updating standards version to 4.1.1.
  * Add patch to fix Py 3.6 FTBFS (Closes: #879223).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 20:34:51 +0000

websockify (0.8.0+dfsg1-7) unstable; urgency=medium

  * 4th iteration of the non-linux TCP socket option patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Oct 2016 16:14:26 +0200

websockify (0.8.0+dfsg1-6) unstable; urgency=medium

  * Fixes TCP_KEEPCNT-and-TCP_KEEPIDLE-not-available-in-non-linux.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Oct 2016 08:53:34 +0200

websockify (0.8.0+dfsg1-5) unstable; urgency=medium

  * Do not attempt to log error in the TCP_KEEPCNT patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 14:11:34 +0200

websockify (0.8.0+dfsg1-4) unstable; urgency=medium

  * Add patch for non-linux platforms where TCP_KEEPCNT doesn't exist
    (Closes: #840035).
  * debian/source/options: add .gitreview to extend-diff-ignore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 10:50:22 +0200

websockify (0.8.0+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:34:15 +0200

websockify (0.8.0+dfsg1-2) experimental; urgency=medium

  * Add support for Python 3:
    - d/control: Add websockify-common, python{3}-websockify packages,
      amend dependencies and deal with upgrades.
    - d/rules,*.{prerm,postinst}: Tweak install of websockify binary
      for alternative use.
  * Enable unit test execution:
    - d/control: Add requires BD's for unit tests.
    - d/p/mox3.patch: Update to use mox3 for py2 and py3.
    - d/rules: Execute unit tests for python 2 and 3.

 -- James Page <james.page@ubuntu.com>  Thu, 30 Jun 2016 09:51:15 +0100

websockify (0.8.0+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 16:00:26 +0200

websockify (0.6.1+dfsg1-1) unstable; urgency=high

  * New upstream release (LP: #1447675).
  * Switching to gz compression for the orig.tar.
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 18:04:28 +0200

websockify (0.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Removed fix-rebind.so-not-found-when-installed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Jun 2014 20:17:08 +0800

websockify (0.5.1+dfsg1-3) unstable; urgency=low

  * Fixes the shell wrapper for rebind. Thanks to Philipp Hahn
    <hahn@univention.de> for reporting and his fix (Closes: #726304).
  * Cleans correctly, and allow 2 builds in a raw.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Dec 2013 06:20:11 +0000

websockify (0.5.1+dfsg1-2) unstable; urgency=low

  * Added upstream patch to fix rebind.so not found (Closes: #719889).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2013 22:45:51 +0800

websockify (0.5.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.
  * Do not install include/web-socket-js/WebSocketMain.swf in setup.py
    (patches setup.py).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 16:00:31 +0800

websockify (0.3.0+dfsg1-6) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 08:15:02 +0000

websockify (0.3.0+dfsg1-5) experimental; urgency=low

  * Really adds build-depends: openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2013 13:38:29 +0000

websockify (0.3.0+dfsg1-4) experimental; urgency=low

  * Added missing build-dependency: openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2013 20:50:49 +0800

websockify (0.3.0+dfsg1-3) experimental; urgency=low

  * The breaks + replaces now include the novnc epoch (this was missing in
    previous upload), thanks to Jeremy Bicha for reporting (Closes: #706357).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2013 18:08:34 +0800

websockify (0.3.0+dfsg1-2) experimental; urgency=low

  * Added Breaks: + Replaces: novnc (<< 0.4+dfsg+1-6) since websockify now
    holds the /usr/bin/websockify and /usr/bin/rebind binaries.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Apr 2013 16:35:29 +0000

websockify (0.3.0+dfsg1-1) experimental; urgency=low

  * Initial release. (Closes: #701822).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 01:22:51 +0800
